Linux block layer
 help / color / mirror / Atom feed
* [PATCH V2] blktests: add test to cover umount one deleted disk
@ 2023-02-08  1:02 Ming Lei
  2023-02-08  7:39 ` Shinichiro Kawasaki
  2023-02-08 10:34 ` kernel test robot
  0 siblings, 2 replies; 7+ messages in thread
From: Ming Lei @ 2023-02-08  1:02 UTC (permalink / raw)
  To: Shin'ichiro Kawasaki; +Cc: linux-block, Ming Lei

disk can be disappear any time because of error handling, when
it is usually being mounted. Make sure umount can be done successfully
after disk deleting is done from error handling.

Signed-off-by: Ming Lei <ming.lei@redhat.com>
---
V2:
	- add 032.out

 tests/block/032     | 35 +++++++++++++++++++++++++++++++++++
 tests/block/032.out |  2 ++
 2 files changed, 37 insertions(+)
 create mode 100755 tests/block/032
 create mode 100644 tests/block/032.out

diff --git a/tests/block/032 b/tests/block/032
new file mode 100755
index 0000000..b07b7ab
--- /dev/null
+++ b/tests/block/032
@@ -0,0 +1,35 @@
+#!/bin/bash
+# SPDX-License-Identifier: GPL-3.0+
+# Copyright (C) 2023 Ming Lei
+#
+# Test umount after deleting disk. Removes a device while the disk
+# is still mounted.
+
+. tests/block/rc
+. common/xfs
+. common/scsi_debug
+
+DESCRIPTION="remove one mounted device"
+QUICK=1
+
+requires() {
+	_have_xfs && _have_scsi_debug
+}
+
+test() {
+	echo "Running ${TEST_NAME}"
+
+	if ! _init_scsi_debug dev_size_mb=300; then
+		return 1
+	fi
+
+	mkdir -p "${TMPDIR}/mnt"
+	_xfs_mkfs_and_mount "/dev/${SCSI_DEBUG_DEVICES[0]}" "${TMPDIR}/mnt" > /dev/null 2>&1
+	echo 1 > "/sys/block/${SCSI_DEBUG_DEVICES[0]}/device/delete"
+	sleep 2
+	umount "${TMPDIR}/mnt"
+
+	_exit_scsi_debug
+
+	echo "Test complete"
+}
diff --git a/tests/block/032.out b/tests/block/032.out
new file mode 100644
index 0000000..3604e9e
--- /dev/null
+++ b/tests/block/032.out
@@ -0,0 +1,2 @@
+Running block/032
+Test complete
-- 
2.38.1


^ permalink raw reply related	[flat|nested] 7+ messages in thread

end of thread, other threads:[~2023-02-14  6:37 UTC | newest]

Thread overview: 7+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-02-08  1:02 [PATCH V2] blktests: add test to cover umount one deleted disk Ming Lei
2023-02-08  7:39 ` Shinichiro Kawasaki
2023-02-08  7:42   ` Ming Lei
2023-02-08 11:43     ` Shinichiro Kawasaki
2023-02-14  4:27       ` Shinichiro Kawasaki
2023-02-14  6:37         ` Chaitanya Kulkarni
2023-02-08 10:34 ` kernel test robot

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox